<div class="contenedor" *ngIf="true">
  <br>
  <div class="buscador">

    <input type="text" placeholder="Filtro por usuario" [(ngModel)]="filtroNombre">

    <button type="submit" mat-raised-button color="primary" (click)="FuncionesBuscarPersona(filtroNombre)" mat-raised-button
      color="primary" *ngIf="btnBuscarPersona">Buscar</button>
      <button type="submit" mat-raised-button color="primary" (click)="FuncionesBuscarPersona(filtroNombre='')" mat-raised-button
      color="primary" *ngIf="!btnBuscarPersona">Limpiar busqueda</button>
  </div>
  <mat-card>
    <div style="margin: 1em">
      <h1>Años de experiencia</h1>
      <table *ngIf="existePersona">
        <thead class="exp">
          <th class="th-usr"></th>
          <th *ngFor="let pregunta of preguntas">{{pregunta.pregunta}}</th>
        </thead>
        <div style="height: 0.25em;"></div>
        <tbody *ngFor="let solucion of solucionesExperiencia">
          <tr *ngIf=solucion.visible>
            <td class="td-usr">{{solucion.persona}}</td>
            <td *ngFor="let respuesta of solucion.respuestas">{{respuesta.experiencia}}</td> <br><br><br>
          </tr>
        </tbody>
      </table>
      <h3 *ngIf="!existePersona">No se encontraron resultados</h3>
    </div>
  </mat-card>
  <br><br><br>
  <mat-card>
    <div style="margin: 1em">

      <h1>Lenguajes de programación</h1>

      <table *ngIf="existePersona">
        <thead>
          <th class="th-usr"></th>
          <th class="border-cell" *ngFor="let lenguaje of lenguajes">
            <div class="th-name">{{lenguaje.nombre}}</div>
            <div style="margin-top: 0.3em;">
              <th class="th-lng-right transparent">Experiencia</th>
              <th class="th-lng-left transparent">Interés</th>
            </div>
          </th>
        </thead>
        <div style="height: 0.15em;"></div>
        <tbody *ngFor="let solucion of solucionesLenguaje">
          <tr *ngIf=solucion.visible>
            <td class="td-usr">{{solucion.persona}}</td>
            <td class="td-lng border-cell" *ngFor="let respuesta of solucion.respuestas">
              <div>
                <td class="lng-right">
                  <div style="margin: 2em;">{{respuesta.experiencia}}</div>
                </td>
                <td class="lng-left">
                  <div style="margin: 2em;">{{respuesta.interesa}}</div>
                </td>
              </div>
            </td>
          </tr>
        </tbody>
      </table>
      <h3 *ngIf="!existePersona">No se encontraron resultados</h3>
    </div>
  </mat-card>
  <br><br><br>
  <mat-card>
    <div style="margin: 1em">
      <h1>Módulos de FANAIA</h1>

      <div class="buscador">

        <input type="text" placeholder="Filtro por Modulo" [(ngModel)]="filtroModulo">

        <button type="submit" mat-raised-button color="primary" (click)="FuncionesBuscarModulo(filtroModulo)" mat-raised-button
          color="primary" *ngIf="btnBuscarModulo">Buscar</button>
          <button type="submit" mat-raised-button color="primary" (click)="FuncionesBuscarModulo(filtroModulo='')" mat-raised-button
          color="primary" *ngIf="!btnBuscarModulo">Limpiar busqueda</button>
      </div>

      <div class="table-scroll">

        <table *ngIf="existePersona && existeModulo">
          <thead class="thead-modulos">
            <th class="th-usr"></th>
            <th class="soft-grey border-total">
              <div>
                <div class="th-name">Total por persona</div>
                <div style="margin-top: 0.3em;">
                  <th class="th-mdl-right transparent">Capacitado</th>
                  <th class="th-mdl-middle transparent">Conoce</th>
                  <th class="th-mdl-left transparent">Interesa</th>
                </div>
              </div>
            </th>
            <th *ngFor="let modulo of modulosFilter;" class="{{modulo.color}} border-cell">
              <div>
                <div class="th-name">{{modulo.nombre}}</div>
                <div style="margin-top: 0.3em;">
                  <th class="th-mdl-right transparent">Capacitado</th>
                  <th class="th-mdl-middle transparent">Conoce</th>
                  <th class="th-mdl-left transparent">Interesa</th>
                </div>
              </div>
            </th>
          </thead>
          <div style="height: 0.15em;"></div>
          <tbody>
            <tr *ngFor="let solucion of solucionesModuloFilter">
              <td class="td-usr {{solucion.colorUsuario}}">{{solucion.persona}}</td>
              <td class="border-total soft-grey {{solucion.colorUsuario}}">
                <div>
                  <td class="mdl-right soft-grey {{solucion.colorUsuario}}">
                    <div style="margin: 2em;">{{solucion.capacitadoTotal}}</div>
                  </td>
                  <td class="mdl-middle soft-grey {{solucion.colorUsuario}}">
                    <div style="margin: 2em;">{{solucion.conoceTotal}}</div>
                  </td>
                  <td class="mdl-left soft-grey {{solucion.colorUsuario}}">
                    <div style="margin: 2em;">{{solucion.interesaTotal}}</div>
                  </td>
                </div>
              </td>
              <td *ngFor="let respuesta of solucion.respuestasFilter" class="{{respuesta.color}} border-cell">
                <div>
                  <td class="mdl-right {{respuesta.color}}">
                    <div style="margin: 2em;">{{respuesta.capacitado}}</div>
                  </td>
                  <td class="mdl-middle {{respuesta.color}}">
                    <div style="margin: 2em;">{{respuesta.conoce}}</div>
                  </td>
                  <td class="mdl-left {{respuesta.color}}">
                    <div style="margin: 2em;">{{respuesta.interesa}}</div>
                  </td>
                </div>
              </td>
            </tr>
            <div style="height: 0.15em;"></div>
            <tr>
              <td class="th-usr">
              </td>
              <td class="td-usr border-total">Total por módulo</td>
              <td *ngFor="let modulo of modulosFilter;" class="soft-grey {{modulo.color}} border-cell">
                <div>
                  <td class="mdl-right soft-grey {{modulo.color}}">
                    <div style="margin: 2em;">{{modulo.capacitados}}</div>
                  </td>
                  <td class="mdl-middle soft-grey {{modulo.color}}">
                    <div style="margin: 2em;">{{modulo.conocen}}</div>
                  </td>
                  <td class="mdl-left soft-grey {{modulo.color}}">
                    <div style="margin: 2em;">{{modulo.interesan}}</div>
                  </td>
                </div>
              </td>
            </tr>
          </tbody>
        </table>
        <h3 *ngIf="!existePersona || !existeModulo">No se encontraron resultados</h3>
      </div>
    </div>

    <h2>Convenciones</h2>
    <table>
      <thead class="exp">
      </thead>
      <tbody >
        <tr>
          <td class="tdConvenciones danger" ></td>
          <td class="tdConvenciones">Columna</td>
          <td class="tdConvenciones">Indica que ningún desarrollador conoce ese módulo</td>
        </tr>
        <tr>
            <td class="tdConvenciones danger"></td>
            <td class="tdConvenciones">Fila</td>
            <td class="tdConvenciones">Indica que el desarrollador es el que más módulos conoce</td>
        </tr>
        <tr>
            <td class="tdConvenciones warning"></td>
            <td class="tdConvenciones">Columna</td>
            <td class="tdConvenciones">Indica que un solo desarrollador conoce ese módulo</td>
        </tr>
        <tr>
            <td class="tdConvenciones warning"></td>
            <td class="tdConvenciones">Fila</td>
            <td class="tdConvenciones">Indica que es el segundo desarrollador que más módulos conoce</td>
        </tr>
      </tbody>
    </table>
    <br><br>
  </mat-card>
  <app-spinner *ngIf="loading"></app-spinner>
</div>

